Bug 845949 - [abrt] gedit-3.2.6-1.fc16: clang_getCursorReferenced: Process /usr/bin/gedit was killed by signal 11 (SIGSEGV)
[abrt] gedit-3.2.6-1.fc16: clang_getCursorReferenced: Process /usr/bin/gedit ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:9ec9691313bf9f6efc6dd13e212...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 04:27 EDT by Notger Heinz
Modified: 2013-02-13 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 17:12:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: dso_list (25.35 KB, text/plain)
2012-08-06 04:27 EDT, Notger Heinz
no flags Details
File: build_ids (5.49 KB, text/plain)
2012-08-06 04:27 EDT, Notger Heinz
no flags Details
File: xsession_errors (52.81 KB, text/plain)
2012-08-06 04:27 EDT, Notger Heinz
no flags Details
File: maps (74.42 KB, text/plain)
2012-08-06 04:27 EDT, Notger Heinz
no flags Details
File: backtrace (167.03 KB, text/plain)
2012-08-06 04:27 EDT, Notger Heinz
no flags Details

  None (edit)
Description Notger Heinz 2012-08-06 04:27:19 EDT
libreport version: 2.0.10
abrt_version:   2.0.7
backtrace_rating: 4
cmdline:        gedit
crash_function: clang_getCursorReferenced
executable:     /usr/bin/gedit
kernel:         3.4.6-1.fc16.x86_64
pid:            27609
pwd:            /home/notger
time:           Mon 06 Aug 2012 10:23:48 AM CEST
uid:            1000
username:       notger
var_log_messages: Aug  6 10:23:53 notger abrt[27706]: Saved core dump of pid 27609 (/usr/bin/gedit) to /var/spool/abrt/ccpp-2012-08-06-10:23:48-27609 (248688640 bytes)

backtrace:      Text file, 171039 bytes
build_ids:      Text file, 5617 bytes
dso_list:       Text file, 25961 bytes
maps:           Text file, 76202 bytes
xsession_errors: Text file, 54079 bytes

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=notger.heinz
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:XDG_SESSION_COOKIE=ecac11ea4b29eeabe06d878900000015-1343728043.536938-1022527110
:GNOME_KEYRING_CONTROL=/tmp/keyring-iLCb4B
:IMSETTINGS_MODULE=none
:USER=notger
:MAIL=/var/spool/mail/notger
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/notger/.local/bin:/home/notger/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/notger
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1327
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:HOME=/home/notger
:XDG_SEAT=seat0
:SHLVL=1
:LOGNAME=notger
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-UsBM7DXW6l,guid=7316a2640b2da084579273080000007f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/notger
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-notger-naJUzw/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1335,unix/unix:/tmp/.ICE-unix/1335
:SSH_AUTH_SOCK=/tmp/keyring-iLCb4B/ssh
:GPG_AGENT_INFO=/tmp/keyring-iLCb4B/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:DESKTOP_STARTUP_ID=gnome-shell-1510-notger.heinz-gedit-15_TIME84352550
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/gedit.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=27609

smolt_data:
:
:
:General
:=================================
:UUID: d6d4df50-f9ff-451d-b195-27287ac3f605
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4388.93
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T6670  @ 2.20GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2201
:System Memory: 3920
:System Swap: 5983
:Vendor: LENOVO
:System: 2847D8G ThinkPad SL510
:Form factor: Notebook
:Kernel: 3.4.6-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4332:33128:6058:8497) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10816:6058:8503) pci, None, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10817:6058:8418) pci, pcieport, PCI/PCI, Mobile 4 Series Chipset PCI Express Graphics Port
:(32902:10544:6058:8441) pci, None, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:6058:8440) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:6058:8438) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(6523:9092:6058:8496) pci, None, BASE, xD Host Controller
:(32902:9288:6058:8436) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(6523:9089:6058:8493) pci, None, BASE, Standard SD Host Controller
:(6523:9091:6058:8495) pci, jmb38x_ms, BASE, MS Host Controller
:(32902:10549:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:6058:8433) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:6058:8433) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(32902:10564:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:10566:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 4
:(32902:10560:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:6058:8434) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:6058:8432) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(4098:43576:6058:8489) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(4098:38227:6058:8489) pci, radeon, VIDEO, M92 [Mobility Radeon HD 4500/5100 Series]
:(32902:10570:6058:8435) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 6
:(6523:9090:6058:8494) pci, sdhci-pci, BASE, SD/MMC Host Controller
:(32902:132:32902:4885) pci, iwlwifi, NETWORK, Centrino Wireless-N 1000 BGN
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_notger-lv_root / ext4 4096 4096 13081025 9576053 8920693 3276800 2904120 2904120
:/dev/sda1 /boot ext4 1024 1024 508644 408924 383324 128016 127785 127785
:/dev/mapper/vg_notger-lv_home /home ext4 4096 4096 63295743 57312749 54144084 15843328 15817528 15817528
:
Comment 1 Notger Heinz 2012-08-06 04:27:26 EDT
Created attachment 602460 [details]
File: dso_list
Comment 2 Notger Heinz 2012-08-06 04:27:29 EDT
Created attachment 602461 [details]
File: build_ids
Comment 3 Notger Heinz 2012-08-06 04:27:34 EDT
Created attachment 602462 [details]
File: xsession_errors
Comment 4 Notger Heinz 2012-08-06 04:27:40 EDT
Created attachment 602463 [details]
File: maps
Comment 5 Notger Heinz 2012-08-06 04:27:51 EDT
Created attachment 602464 [details]
File: backtrace
Comment 6 Notger Heinz 2012-08-14 07:56:38 EDT
Opening a (correctly compiling/running) c++ source code file.
File displays, but gedit immediately freezes and then crashes.


backtrace_rating: 4
Package: gedit-3.2.6-1.fc16
OS Release: Fedora release 16 (Verne)
Comment 7 Fedora End Of Life 2013-01-16 12:29:00 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Fedora End Of Life 2013-02-13 17:12:19 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.